Subject: Re: bug#45725: [PATCH] gnu: Add gutenprint.

From: dftxbs3e <[email-masked]>
Date: Wed, 20 Jan 2021 05:04:58 +0100

On Tue, 2021-01-19 at 15:56 +0100, Ludovic Courtès wrote:
> Hi,
> 
> John Doe <[email-masked]> skribis:
> 
> > * gnu/packages/cups.scm (gutenprint): New variable.
> 
> [...]
> 
> > +    (synopsis "Printer drivers for CUPS on GNU/Linux")
> 
> You can remove “on GNU/Linux”, it’s implicit (I don’t see how it
> could
> be non-portable actually!).

The package itself used "Linux" which I modified to GNU/Linux but I'll
remove it altogether and reword it.

> 
> > +    ;; Supported printers list from:
> > +    ;; http://gimp-print.sourceforge.net/p_Supported_Printers.php
> > +    ;; Remember to update on version bumps with this command:
> > +    ;; $ curl  
> > http://gimp-print.sourceforge.net/p_Supported_Printers.php | \
> > +    ;; grep -Po '(?<=^<tr><td>).+?(?=</td>)' | sed 's/^/@item /g'
> > +    (description "Printer drivers for
>                      ^
> Please make it a full sentence, as per:
> 
>    
> https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html

Will do.

> 
> > +CUPS on GNU/Linux, Macintosh OS X, and other POSIX-compliant
> > operating systems.
> > +This project also maintains an enhanced Print plug-in for GIMP 2.x
> > from
> > +the same code base.  This driver claims to support these printers:
> > +
> > +@enumerate
> > +@item Canon BJ-30
> > +@item Canon BJC-50
> 
> I think we shouldn’t have such lists, even with the comment above on
> how
> to update it.  It’s not the right place for that and it would scare
> away
> translators (who are already shy enough when it comes to translating
> package descriptions :-)).
> 
> What you could do is write a sentence like:
> 
>   “This driver supports widespread inkjet printers by major vendors,
>   including Canon, Epson, Fujitsu, and SONY.”  (arbitrary choice)
> 
> That way people will at least see the vendor names, but the
> description
> remains human-readable.

OK, there is so many different vendors supported so I figured I'd
include the full list, I'll try including a full list of vendors
instead.

> 
> Otherwise LGTM.  Could you send an updated patch?

I still have not fixed the issue where CUPS tried to find the
gutenprint-5.3 filter binary within it's own package folder instead of
gutenprint's. I'd appreciate some help for that. Otherwise will come to
investigate soon, busy with other things now but wont last too long.

> Thanks,
> Ludo’.

Thanks for the review!